
# library(wiqid)
library(jagsUI)
library(mcmcOutput)

library(secr)
?stoatDNA
data(stoatDNA)
str(stoatCH)
#Fix the detector type, should be 'proximity'
attributes(traps(stoatCH))$detector <- "proximity"
str(stoatCH)  # now ok

plot(stoatCH, rad=50, tracks=TRUE)

fit <- secr.fit(stoatCH, buffer = 1000)
fit
# Fitted (real) parameters evaluated at base levels of covariates
       # link     estimate  SE.estimate          lcl          ucl
# D       log   0.02456406  0.007438527   0.01374582   0.04389647
# g0    logit   0.04531493  0.019488788   0.01925229   0.10295589
# sigma   log 254.83182303 44.187811415 181.86418022 357.07558217

